# Class AMParams

java.lang.Object
uk.ac.starlink.pal.AMParams

public class AMParams extends Object
Star-independent mean-to-apparent parameters

## Method Summary

Modifier and Type
Method
Description
`double[]`
`getBary()`
Get barycentric position of the Earth
`double[]`
`getEarthv()`
Get barycentric Earth velocity
`double`
`getGrad()`
Get gravitational radius of Sun
`double[]`
`getHelio()`
Get heliocentric direction of the Earth
`double[][]`
`getPrecess()`
Get precession/nutation matix
`double`
`getRoot()`
Get square root of ( 1 - |v x v| )
`double`
`getTimeint()`
Get time interval for proper motion
`void`
`setBary(double[] b)`
Set barycentric position of the Earth
`void`
`setEarthv(double[] bev)`
set barycentric Earth velocity
`void`
`setGrad(double g)`
Set gravitational radius of Sun
`void`
`setHelio(double[] h)`
Set heliocentric direction of the Earth
`void`
`setPrecess(double[][] p)`
Get precession/nutation matix
`void`
`setRoot(double sqrt)`
Set square root of ( 1 - |v x v| )
`void`
`setTimeint(double t)`
set time interval for proper motion
`String`
`toString()`
Get string representation apparent parameters

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getTimeint

public double getTimeint()
Get time interval for proper motion

Returns:
  Time interval (Julian years)

### getBary

public double[] getBary()
Get barycentric position of the Earth

Returns:
  Barycentric position of the Earth (AU) [3]

### getHelio

public double[] getHelio()
Get heliocentric direction of the Earth

Returns:
  Heliocentric direction of the Earth (unit vector) [3]

### getGrad

public double getGrad()
Get gravitational radius of Sun

Returns:
  (Gravitational radius of Sun) x 2 / (Sun-earth distance)

### getEarthv

public double[] getEarthv()
Get barycentric Earth velocity

Returns:
  Barycentric Earth velocity in units of c [3]

### getRoot

public double getRoot()
Get square root of ( 1 - |v x v| )

Returns:
  Square root of ( 1 - |v x v| )

### getPrecess

public double[][] getPrecess()
Get precession/nutation matix

Returns:
  Precession/nutation matix [3][3]

### setTimeint

public void setTimeint(double t)
set time interval for proper motion

Parameters:
  `t` - Time interval (Julian years)

### setBary

public void setBary(double[] b)
Set barycentric position of the Earth

Parameters:
  `b` - [3] Barycentric position of the Earth (AU)

### setHelio

public void setHelio(double[] h)
Set heliocentric direction of the Earth

Parameters:
  `h` - [3] Heliocentric direction of the Earth (unit vector)

### setGrad

public void setGrad(double g)
Set gravitational radius of Sun

Parameters:
  `g` - (Gravitational radius of Sun) x 2 / (Sun-earth distance)

### setEarthv

public void setEarthv(double[] bev)
set barycentric Earth velocity

Parameters:
  `bev` - [3] barycentric Earth velocity in units of c

### setRoot

public void setRoot(double sqrt)
Set square root of ( 1 - |v x v| )

Parameters:
  `sqrt` - Square Root of ( 1 - |v x v| )

### setPrecess

public void setPrecess(double[][] p)
Get precession/nutation matix

Parameters:
  `p` - [3][3] Precession/nutation matix

### toString

public String toString()
Get string representation apparent parameters

Overrides:
  `toString` in class `Object`
Returns:
  String representation